/*********************************************************************
 *     main.c - a small wrapper for the dsp code.
 *      Copyright (C) 2000 Rui Sousa 
 ********************************************************************* 
 *     This program is free software; you can redistribute it and/or 
 *     modify it under the terms of the GNU General Public License as 
 *     published by the Free Software Foundation; either version 2 of 
 *     the License, or (at your option) any later version. 
 * 
 *     This program is distributed in the hope that it will be useful, 
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *     GNU General Public License for more details. 
 * 
 *     You should have received a copy of the GNU General Public 
 *     License along with this program; if not, write to the Free 
 *     Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, 
 *     USA. 
 ********************************************************************* 
*/

#include<stdio.h>
#include "compiler.h"

int main(int argc, char *argv[])
{
	FILE *fp;
	int i;

	ip = 0;

	{
#include "dsp_file"
	}

	for (i = 0; i < DSP_CODE_SIZE / 2; i++)
		printf("0x%03x   0x%08x   0x%08x\n", i, dsp_code[i * 2], dsp_code[i * 2 + 1]);

	fp = fopen(argv[1], "w");

	for (i = 0; i < 4 * DSP_CODE_SIZE; i++)
		fprintf(fp, "%c", ((char *) dsp_code)[i]);

	fclose(fp);
	return 0;
}
